# splashy_bottom_app_bar

A package that gives you an awesome bottom app bar with an awesome animation

## Getting Started

To use this plugin, add splashy_bottom_app_bar file as a dependency in your pubspec.yaml file.

### Screens



#### Example

```dart
import 'package:flutter/material.dart';

import 'package:splashy_bottom_app_bar/splashy_bottom_app_bar.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  int _currentIndex = 0;
  final List<BarItem> barItems = [
    BarItem(
      text: "Home",
      iconData: Icons.home,
      color: Colors.indigo,
    ),
    BarItem(
      text: "Likes",
      iconData: Icons.favorite_border,
      color: Colors.pinkAccent,
    ),
    BarItem(
      text: "Search",
      iconData: Icons.search,
      color: Colors.yellow.shade900,
    ),
    BarItem(
      text: "Profile",
      iconData: Icons.person_outline,
      color: Colors.teal,
    ),
    BarItem(
      text: "Profile",
      iconData: Icons.add_circle_outline,
      color: Colors.redAccent,
    )
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: AnimatedContainer(
        curve: Curves.easeIn,
        duration: Duration(milliseconds: 500),
        color: barItems[_currentIndex].color,
      ),
      bottomNavigationBar: SplashyBottomAppBar(
        iconSize: MediaQuery.of(context).size.width * 0.08,
        currentIndex: _currentIndex,
        items: barItems,
        onTap: (index) {
          setState(() {
            _currentIndex = index;
          });
        },
      ),
    );
  }
}
